##### windows::basic_stream_handle::operator= (2 of 2 overloads)

Move-assign a stream handle from a handle of another executor type.

    template<
        typename Executor1>
    constraint_t< is_convertible< Executor1, Executor >::value, basic_stream_handle & > operator=(
        basic_stream_handle< Executor1 > && other);

This assignment operator moves a stream handle from one object to another.

###### Parameters

other

  The other stream handle object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_handle(const executor_type&)` constructor.